/* ================================================================================== */
/*                                                                                    */
/*                                  STYLE-SWISH.CSS                                   */
/*                                                                                    */		
/*                                Slide between pages                                 */
/*                                                                                    */							 
/* ================================================================================== */


/* Overall */
html, body {
	/*overscroll-behavior: none;	 "none" = prevents overscroll (but allows pull-to-refresh on mobile); "none auto" = prevents overscroll to left and right */
	width: 100%;
	height: 100%;
	margin:0;
	font-family:arial;
	color:#444;
	/*overflow:hidden; messes up scroll down
	overflow:scroll;
	overflow-y: scroll;*/
	-webkit-overflow-scrolling: touch;
	}

html.smooth-scroll, body.smooth-scroll {
	scroll-behavior: smooth;	/* Smooth scrolling, off == auto */
	}

.swish-page-all::-webkit-scrollbar {	/* Alone, this removes all scrollbars, including the browser scrollbar */
	width: 0px;
	height:0px;
	background: transparent;
	}


/* Article page */

.swish-page-all {
	display:none;
	/*position:absolute; disables page-down function */
	top:0;
	left:0;
	/*overflow:hidden;*/
	cursor:pointer;
	width:100vw;
	min-height:100vh;
	}

body.searching #swish-global-nav {
	display:none;
	}

body.searching #home, body.searching .swish-page-all.show {
	display:none;
	}

.swish-page-all.show {
	display:block;
	}

.swish-page-fixed {
	height:0;
	}

.swish-page-content {
	/*overflow:hidden;	 Tidied tiles (left edge) but iPhone and maybe page-down do not like this */
	/*overflow-y: scroll; */
	background:white;
	padding:50px 0;
	min-width:100vw;
	min-height:100vh;
	box-sizing:border-box;
	/*position:absolute; iPhone does not like this */
	top:0;
	left:0;
	will-change: transform;
	/* Swish:
	https://css-tricks.com/ease-out-in-ease-in-out/
	225 ms in, 195 ms out
	https://material.io/design/motion/speed.html#easing
	Standard: cubic-bezier(0.4, 0.0, 0.2, 1)
	Decelerate: cubic-bezier(0.0, 0.0, 0.2, 1)
	Accelerate: cubic-bezier(0.4, 0.0, 1, 1)
	*/
	}

.swish-page-content.to-top, .swish-page-content.cover, .swish-page-content.no-padding {
	padding-top:0;
	}

.swish-page-content .map-area.full {	/* app and online */
	height:100vh;
	box-sizing:border-box;
	border-top:50px solid white;
	border-bottom:120px solid white;
	z-index:3;
	}

.swish-page-content.smooth-scroll {
	scroll-behavior: smooth;	/* Smooth scrolling, off == auto */
	}

.swish-page-cover {
	padding:0;
	position:relative;
	z-index:2;
	height:100vh;
	}

.swish1 .swish-page-content, .swish2 .swish-page-content, .swish3 .swish-page-content, .swish4 .swish-page-content,
.swish1 .swish-page-cover, .swish2 .swish-page-cover, .swish3 .swish-page-cover, .swish4 .swish-page-cover {
	scroll-behavior: auto;	/* i.e. off */
	position:absolute;
	top:0;
	}

.swish1 .swish-page-content.after-cover, .swish2 .swish-page-content.after-cover, .swish3 .swish-page-content.after-cover, .swish4 .swish-page-content.after-cover {
	top:100vh;
	}

/*
	transition: -webkit-transform 3s cubic-bezier(0.465, 0.183, 0.153, 0.946);
	transition: transform 3s cubic-bezier(0.465, 0.183, 0.153, 0.946);

*/

/* Swish */
.swish1 .swish-page-content:before, .swish2 .swish-page-content:before, .swish3 .swish-page-content:before, .swish4 .swish-page-content:before,
.swish1 .swish-page-cover:before, .swish2 .swish-page-cover:before, .swish3 .swish-page-cover:before, .swish4 .swish-page-cover:before {
	content:'';
	position:absolute;
	width:100vw;
	height:100vh;
	background:rgba(0,0,0,0);
	}

/* Button timing */

.tab-button {
	opacity:1;
	transition: .3s;
	}

.swish2 .tab-button {
	opacity:0;
	}

.swish3 .tab-button {
	/* Fade out */
	opacity:0;
	}

/* Transition timing */
.swish4 .swish-page-content, .swish4 .swish-page-cover {
	/* Incoming from right to center */
	transition:.225s transform cubic-bezier(0.0, 0.0, 0.2, 1); /* cubic-bezier(0.0, 0.0, 0.2, 1); */
	}

.swish2 .swish-page-content, .swish2 .swish-page-cover {
	/* Outgoing from center to left */
	transition: .225s transform ; /* cubic-bezier(0.4, 0.0, 1, 1); */
	}

.swish1 .swish-page-content, .swish1 .swish-page-cover {
	/* Under coming back in */
	transition:.195s;
	}

.swish3 .swish-page-content, .swish3 .swish-page-cover {
	/* Above going out */
	transition:.195s;
	}

.swish2 .swish-page-content {
	-webkit-transform: translateX(-40%);
	transform: translateX(-40%);
	}

.swish2 .swish-page-cover, .swish2 .swish-page-content.after-cover {
	-webkit-transform: translateX(-100%);
	transform: translateX(-100%);
	}
.swish2 .swish-page-content:before, .swish2 .swish-page-cover:before {
	transition:.225s;
	background:rgba(0,0,0,0.1);
	}

.swish3 .swish-page-content:before, .swish3 .swish-page-cover:before {
	background:rgba(255,255,255,0.3);
	}

.swish4 .swish-page-content:before, .swish4 .swish-page-cover:before {
	transition:.225s;
	}

.swish3 .swish-page-content, .swish4 .swish-page-content, .swish3 .swish-page-cover, .swish4 .swish-page-cover {
	-webkit-box-shadow: 0px 0px 4vw 0px rgba(0,0,0,0.8);
	-moz-box-shadow: 0px 0px 4vw 0px rgba(0,0,0,0.8);
	box-shadow: 0px 0px 4vw 0px rgba(0,0,0,0.8);
	}

.swish3 .swish-page-content, .swish3 .swish-page-cover {
	-webkit-transform: translateX(103%);
	transform: translateX(103%);
	}


		/* Swish menu bar and tab bar */
#swish-tab-bar {
	position:fixed;
	z-index:3;
	}

#swish-menu-bar, .swish-menu-bar, .swish-tab-bar, .swish-bar-button, #swish-tab-bar-background {
	position:fixed;
	list-style:none;
	margin:0;
	padding:0;
	top:0;
	width:100%;
	height:50px;
	background:#f8f8f8;
	font-size:12px;
	color:#787878;		/* color of text */
	text-align:center;
	line-height:50px;
	z-index:4;
	}

.bar60px #swish-menu-bar, .bar60px .swish-menu-bar, .bar60px .swish-tab-bar, .bar60px .swish-bar-button, .bar60px #swish-tab-bar-background {
	height:60px;
	}

#swish-menu-bar, .swish-menu-bar {
	border-bottom:0.52px solid #ababab;
	font-size:0;
	text-align:left;
	}

.swish-tab-bar, #swish-tab-bar-background {
	top:auto;
	bottom:0;
	font-size:0;
	text-align:left;
	}

.swish-tab-bar {
	background:none;
	width:0;
	}

#swish-tab-bar-background {
	z-index:3;
	width:100%;
	border-top:0.52px solid #ababab;
	background:#f8f8f8;
	}

#swish-bar-back, #swish-bar-forward {
	position:fixed;
	top:0;
	left:0;
	display:block;
	margin:0;
	width:50px;
	height:50px;
	z-index:3;
	cursor:w-resize;
	background:transparent;
	}	

#swish-bar-forward {
	left:auto;
	right:0;
	cursor:e-resize;
	}

#swish-bar-back:before, #swish-bar-back:after, #swish-bar-forward:before, #swish-bar-forward:after {
	width:48px;
	margin-left:1px;
	}

/* Button */

.swish-bar-button, .swish-tab-button {
	display:block;
	position:absolute;
	left:0;
	width:20vw;
	height:50px;
	margin:0;
	padding:0;
	background:#f8f8f8;
	cursor:pointer;
	text-align:center;
	font-size:0;
	line-height:0;
	z-index:2;
	}

.swish-tab-button {
	left:20vw;
	bottom:0;
	/*border-top:0.52px solid #ababab;*/
	background:transparent;
	}

#swish-tab-bar.no-center-tabs .swish-tab-button {
	display:none;
	}

/* Swish buttons hover */

.tab-photos .swish-bar-photos:hover, .tab-photos .swish-tab-photos:hover,
.tab-map .swish-bar-map:hover, .tab-map .swish-tab-map:hover,
.tab-book .swish-bar-book:hover, .tab-book .swish-tab-book:hover,
.swish-bar-button:hover, .swish-tab-button:hover {
	background:#bbb;
	}

.tab-photos .swish-bar-photos, .tab-photos .swish-tab-photos,
.tab-map .swish-bar-map, .tab-map .swish-tab-map,
.tab-book .swish-bar-book, .tab-book .swish-tab-book {
	background:#ddd;
	}


/* Tab buttons location */
.swish-tab-back {
	left:0;
	}

.swish-tab-map {
	left:40vw;
	}

.swish-tab-books, .swish-tab-book, .swish-tab-more, .swish-tab-up, .swish-tab-top {
	left:60vw;
	}

.swish-tab-down, .swish-bar-menu {
	left:80vw;
	}

.swish-tab-empty, .swish-tab-order {
	width:60vw;
	}

#swish-top-search-locate {
	position:absolute;
	left:auto;
	right:0;
	background:transparent;
	width:40px;
	height:40px;
	}

body.searching .swish-bar-back {
	display:none;
	}

/* Button cursors */

.swish-bar-back, .swish-tab-back {
	cursor:w-resize;
	}

body.swish_go_forward .swish-bar-back, body.swish_go_forward .swish-tab-back, .swish-bar-forward, .swish-tab-forward {
	cursor:e-resize;
	}

.swish-tab-down {
	cursor:s-resize;
	}

.swish-tab-emtpy {
	cursor:default;
	}

.swish-bar-photosecrets {
	cursor:w-resize;
	}

.swish-bar-menu {
	cursor:s-resize;
	}

.swish-tab-more, .swish-tab-up, .swish-tab-top {
	cursor:n-resize; /* or alias */
	}


/* Button background and text (:before) */

.swish-bar-button:before, .swish-bar-button:after, .swish-tab-button:before, .swish-tab-button:after {
	position:absolute;
	display:block;
	content:'';
	top:3px;
	height:44px;
	margin-left:1vw;
	width:18vw;
	border-radius:22px;
	box-sizing:border-box;
	}

.swish-bar-button2:hover:before, .swish-tab-button2:hover:before {
	background:#e4e4e4;
	color:black;
	}

.swish-bar-button:after, .swish-tab-button:after {
	border-radius:0;
	background-repeat:no-repeat;
	background-position:center; /* y-position */
	background-size:100% 60%;	/* x-position size */
	}

.swish-bar-button2:hover:after, .swish-tab-button2:hover:after {
	-webkit-filter: brightness(10%);
	filter: brightness(10%);
	}

/* Swish button after hover */

.swish-bar-button:hover:after, .swish-tab-button:hover:after {
	-webkit-filter: brightness(10%);
	filter: brightness(10%);
	}

.tab-photos .swish-bar-photos:after, .tab-photos .swish-tab-photos:after,
.tab-map .swish-bar-map:after, .tab-map .swish-tab-map:after,
.tab-book .swish-bar-book:after, .tab-book .swish-tab-book:after {
	-webkit-filter: brightness(50%);
	filter: brightness(50%);
	}

.tab-photos .swish-bar-photos:hover:after, .tab-photos .swish-tab-photos:hover:after,
.tab-map .swish-bar-map:hover:after, .tab-map .swish-tab-map:hover:after,
.tab-book .swish-bar-book:hover:after, .tab-book .swish-tab-book:hover:after {
	-webkit-filter: brightness(10%);
	filter: brightness(10%);
	}


/* Button SVG icons, formatted by from https://css-tricks.com/using-svg/ */

.swish-bar-back:after, .swish-tab-back:after {
	/* Font Awesome chevron-left */
	/* angle-left background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 256 512'%3E%3Cpath d='M31.7 239l136-136c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9L127.9 256l96.4 96.4c9.4 9.4 9.4 24.6 0 33.9L201.7 409c-9.4 9.4-24.6 9.4-33.9 0l-136-136c-9.5-9.4-9.5-24.6-.1-34z'/%3E%3C/svg%3E%0A"); */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 320 512'%3E%3Cpath d='M34.52 239.03L228.87 44.69c9.37-9.37 24.57-9.37 33.94 0l22.67 22.67c9.36 9.36 9.37 24.52.04 33.9L131.49 256l154.02 154.75c9.34 9.38 9.32 24.54-.04 33.9l-22.67 22.67c-9.37 9.37-24.57 9.37-33.94 0L34.52 272.97c-9.37-9.37-9.37-24.57 0-33.94z'/%3E%3C/svg%3E%0A");
	background-size:100% 70%;	/* x-position size */
	}

body.swish_go_forward .swish-bar-back:after, body.swish_go_forward .swish-tab-back:after, .swish-bar-forward:after, .swish-tab-forward:after {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 320 512'%3E%3Cpath d='M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z'/%3E%3C/svg%3E%0A");
	background-size:100% 70%;	/* x-position size */
	}

.swish-tab-book:after, .swish-tab-books:after {
	/* Font Awesome book */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 448 512'%3E%3Cpath d='M448 360V24c0-13.3-10.7-24-24-24H96C43 0 0 43 0 96v320c0 53 43 96 96 96h328c13.3 0 24-10.7 24-24v-16c0-7.5-3.5-14.3-8.9-18.7-4.2-15.4-4.2-59.3 0-74.7 5.4-4.3 8.9-11.1 8.9-18.6zM128 134c0-3.3 2.7-6 6-6h212c3.3 0 6 2.7 6 6v20c0 3.3-2.7 6-6 6H134c-3.3 0-6-2.7-6-6v-20zm0 64c0-3.3 2.7-6 6-6h212c3.3 0 6 2.7 6 6v20c0 3.3-2.7 6-6 6H134c-3.3 0-6-2.7-6-6v-20zm253.4 250H96c-17.7 0-32-14.3-32-32 0-17.6 14.4-32 32-32h285.4c-1.9 17.1-1.9 46.9 0 64z'/%3E%3C/svg%3E%0A");
	}

.swish-tab-cancel:after, .swish-tab-close:after, #swish-top-search:before, #swish-top-search-reset {
	/* Font Awesome times */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 352 512'%3E%3Cpath d='M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z'/%3E%3C/svg%3E%0A");
	background-size:100% 72%;	/* x-position size */
	}

.swish-tab-down:after  {
	/* Font Awesome chevron-down */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 448 512'%3E%3Cpath d='M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z'/%3E%3C/svg%3E%0A");
	background-size:100% 72%;	/* x-position size */
	}

.swish-tab-home:after  {
	/* Font Awesome home */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 576 512'%3E%3Cpath d='M280.37 148.26L96 300.11V464a16 16 0 0 0 16 16l112.06-.29a16 16 0 0 0 15.92-16V368a16 16 0 0 1 16-16h64a16 16 0 0 1 16 16v95.64a16 16 0 0 0 16 16.05L464 480a16 16 0 0 0 16-16V300L295.67 148.26a12.19 12.19 0 0 0-15.3 0zM571.6 251.47L488 182.56V44.05a12 12 0 0 0-12-12h-56a12 12 0 0 0-12 12v72.61L318.47 43a48 48 0 0 0-61 0L4.34 251.47a12 12 0 0 0-1.6 16.9l25.5 31A12 12 0 0 0 45.15 301l235.22-193.74a12.19 12.19 0 0 1 15.3 0L530.9 301a12 12 0 0 0 16.9-1.6l25.5-31a12 12 0 0 0-1.7-16.93z'/%3E%3C/svg%3E%0A");
	}

/*
.button.ideas:after {
	 Font Awesome lightbulb
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 352 512'%3E%3Cpath d='M96.06 454.35c.01 6.29 1.87 12.45 5.36 17.69l17.09 25.69a31.99 31.99 0 0 0 26.64 14.28h61.71a31.99 31.99 0 0 0 26.64-14.28l17.09-25.69a31.989 31.989 0 0 0 5.36-17.69l.04-38.35H96.01l.05 38.35zM0 176c0 44.37 16.45 84.85 43.56 115.78 16.52 18.85 42.36 58.23 52.21 91.45.04.26.07.52.11.78h160.24c.04-.26.07-.51.11-.78 9.85-33.22 35.69-72.6 52.21-91.45C335.55 260.85 352 220.37 352 176 352 78.61 272.91-.3 175.45 0 73.44.31 0 82.97 0 176zm176-80c-44.11 0-80 35.89-80 80 0 8.84-7.16 16-16 16s-16-7.16-16-16c0-61.76 50.24-112 112-112 8.84 0 16 7.16 16 16s-7.16 16-16 16z'/%3E%3C/svg%3E%0A");
	}
 */

.swish-tab-locate:after, #swish-top-search-locate:after {
	/* Font Awesome crosshairs */
	width:50px;
	height:50px;
	margin:0;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 512 512'%3E%3Cpath d='M500 224h-30.364C455.724 130.325 381.675 56.276 288 42.364V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v30.364C130.325 56.276 56.276 130.325 42.364 224H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h30.364C56.276 381.675 130.325 455.724 224 469.636V500c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-30.364C381.675 455.724 455.724 381.675 469.636 288H500c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12zM288 404.634V364c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40.634C165.826 392.232 119.783 346.243 107.366 288H148c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-40.634C119.768 165.826 165.757 119.783 224 107.366V148c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40.634C346.174 119.768 392.217 165.757 404.634 224H364c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40.634C392.232 346.174 346.243 392.217 288 404.634zM288 256c0 17.673-14.327 32-32 32s-32-14.327-32-32c0-17.673 14.327-32 32-32s32 14.327 32 32z'/%3E%3C/svg%3E%0A");
	top:0px;
	left:4px;
	background-position: center; /* y-position */
	background-size:44% 44%;	/* x-position size */
	}

#swish-top-search-locate:after {
	width:40px;
	height:40px;
	left:0;
	background-size:48% 48%;	/* x-position size */
	}

.swish-tab-map:after {
	/* Font Awesome map-marker-alt, or map, or map-marked-alt */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 384 512'%3E%3Cpath d='M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z'/%3E%3C/svg%3E%0A");
	}

.swish-bar-menu:after, .swish-tab-menu:after {
	/* Font Awesome bars */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 448 512'%3E%3Cpath d='M16 132h416c8.837 0 16-7.163 16-16V76c0-8.837-7.163-16-16-16H16C7.163 60 0 67.163 0 76v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16z'/%3E%3C/svg%3E%0A");
	}

.swish-tab-more:after  {
	/* Font Awesome ellipsis-h */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 512 512'%3E%3Cpath d='M328 256c0 39.8-32.2 72-72 72s-72-32.2-72-72 32.2-72 72-72 72 32.2 72 72zm104-72c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72zm-352 0c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z'/%3E%3C/svg%3E%0A");
	}

/*
.button.near:after {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 256 512'%3E%3Cpath d=''/%3E%3C/svg%3E%0A");
	}
*/

/* 
.button.next:after {
	Font Awesome chevron-right
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 256 512'%3E%3Cpath d=''/%3E%3C/svg%3E%0A");
	}
*/

.swish-tab-photos:after, .swish-tab-gallery:after, .swish-tab-guides:after {
	/* Font Awesome camera, or image, or grip-horizontal, or th */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 512 512'%3E%3Cpath d='M512 144v288c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V144c0-26.5 21.5-48 48-48h88l12.3-32.9c7-18.7 24.9-31.1 44.9-31.1h125.5c20 0 37.9 12.4 44.9 31.1L376 96h88c26.5 0 48 21.5 48 48zM376 288c0-66.2-53.8-120-120-120s-120 53.8-120 120 53.8 120 120 120 120-53.8 120-120zm-32 0c0 48.5-39.5 88-88 88s-88-39.5-88-88 39.5-88 88-88 88 39.5 88 88z'/%3E%3C/svg%3E%0A");
	}

.swish-bar-photosecrets:after, .swish-tab-photosecrets:after, #swish-bar-photosecrets-icon {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 512 512'%3E%3Cpath d='M432,144H405L369,81H207l-36,63-26.9,0H144a63,63,0,0,0-63,63V369a63.05,63.05,0,0,0,63,63l67.53,0L180,378l-36,0a9,9,0,0,1-9-9V207a9,9,0,0,1,9-9h0l39.48,0a32.68,32.68,0,0,0,28.4-16.47L238.5,135h99l26.64,46.62A32.51,32.51,0,0,0,392.37,198H432a9,9,0,0,1,9,9V369a9,9,0,0,1-9,9l-36,0-31.47,54H432a63,63,0,0,0,63-63V207A63.07,63.07,0,0,0,432,144Z M380.2,344.34a108,108,0,1,0-185-1.07h0L288,504ZM234,288a54,54,0,1,1,54,54A54,54,0,0,1,234,288Z'/%3E%3C/svg%3E%0A");
	background-size:94% 94%;	/* x-position size */
	}

.swish-bar-photosecrets:hover:after, .swish-tab-photosecrets:hover:after {
	-webkit-filter: brightness(10%);
	filter: brightness(10%);
	}

.bar60px .swish-bar-photosecrets:after, .bar60px .swish-tab-photosecrets:after {
	background-size:80%;
	background-position:center;
	}

.swish-tab-up:after, .swish-bar-top:after, .swish-tab-top:after  {
	/* Font Awesome chevron-up */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23888' viewBox='0 0 448 512'%3E%3Cpath d='M240.971 130.524l194.343 194.343c9.373 9.373 9.373 24.569 0 33.941l-22.667 22.667c-9.357 9.357-24.522 9.375-33.901.04L224 227.495 69.255 381.516c-9.379 9.335-24.544 9.317-33.901-.04l-22.667-22.667c-9.373-9.373-9.373-24.569 0-33.941L207.03 130.525c9.372-9.373 24.568-9.373 33.941-.001z'/%3E%3C/svg%3E%0A");
	background-size:100% 72%;	/* x-position size */
	}

.swish-tab-order:before {
	width:58vw;
	line-height:44px;
	font-size:20px;
	content:'Add to cart';
	}

/* Swish button back/forward exchange on tab-no-back */

.tab-no-back #swish-bar-back {
	display:none;
	}

.swish-tab-bar .swish-tab-forward {
	display:none;
	}

.tab-no-back .swish-tab-bar .swish-tab-back {
	display:none;
	}
	
.tab-no-back .swish-tab-bar .swish-tab-forward {
	display:block;
	left:0;
	}

/* Swish bar (menu bar, address bar) at top */

/* PhotoSecrets icon */
#swish-bar-photosecrets-icon {
	position:absolute;
	top:0;
	left:0;
	z-index:3;
	width:50px;
	height:50px;
	background-color:transparent;
	background-repeat:no-repeat;
	background-position:center;
	background-size:40px;
	}

#swish-bar-guide-title {
	position:absolute;
	top:0;
	left:52px;
	color:#888;
	line-height:56px;
	font-size:24px;
	text-transform:uppercase;
	font-weight:bold;
	display:none;
	}

@media only screen and (min-width: 1024px) {
#swish-bar-photosecrets-icon {
	background-position:center left;
	left:50vw;
	margin-left:-512px;
	}
#swish-bar-guide-title {
	display:block;
	left:50vw;
	margin-left:-466px;
	}
}

/* Swish guide buttons at intro for Photos, Map and Read */
.swish-page-buttons {
	text-align:justify;
	text-align-last:justify;
	text-justify: inter-word;
	margin:0 auto 24px auto;
	}

.margins > .swish-page-buttons {
	margin:-30px auto 30px auto;
	}

.swish-page-button-3 {
	display:inline-block;
	width:30%;
	height:50px;
	border-radius:25px;
	font-family:'Source Sans Pro';
	font-weight:bold;
	text-align: center;
	text-align-last:center;
	font-size:20px;
	line-height:50px;
	background:#ffcb05;
	color:black;
	text-transform:uppercase;
	transition:.06s;
	}

.swish-page-button-3:hover {
	background:black;
	color:#ffcb05;
	}


/* Later the following might go in a different CSS document */

		/* Swish page */

/* Page */
.page {
	width:80%;
	max-width:1024px;
	margin:auto;
	}

.margin, .margins {
	width:80%;
	max-width:1024px;
	margin:auto;
	}

.pic {
	width:100%;
	height:0;
	padding:33.33% 0;
	background:#eee;
	}

		/* PhotoSecrets logo */

.photosecrets-large-spacer {
	height:4vw;
	}

.ps-title-spacer, .guide-title-spacer {
	height:17.3vw;
	}

.photosecrets-large {
	display:block;
	font-size:0;
	width:80vw;
	height:13.3vw;
	margin:0 auto 0 auto;
	border-radius:.6vw;
	background-color:black;
	background-repeat:no-repeat; /* y-position */
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='%23ffcb05' d='M432,144H405L369,81H207l-36,63-26.9,0H144a63,63,0,0,0-63,63V369a63.05,63.05,0,0,0,63,63l67.53,0L180,378l-36,0a9,9,0,0,1-9-9V207a9,9,0,0,1,9-9h0l39.48,0a32.68,32.68,0,0,0,28.4-16.47L238.5,135h99l26.64,46.62A32.51,32.51,0,0,0,392.37,198H432a9,9,0,0,1,9,9V369a9,9,0,0,1-9,9l-36,0-31.47,54H432a63,63,0,0,0,63-63V207A63.07,63.07,0,0,0,432,144Z M380.2,344.34a108,108,0,1,0-185-1.07h0L288,504ZM234,288a54,54,0,1,1,54,54A54,54,0,0,1,234,288Z' transform='translate(-1310 -30)' /%3E%3Cpath fill='%23fff' d='M808.59,170.52Q839,197,839,245.12q0,51-30.42,79.12T723.1,352.4H671.72v79.73H596.51V144H723.1Q778.18,144,808.59,170.52ZM755,280.88q12.52-11.5,12.53-33.3,0-21-12.53-32.26T719.4,204H671.72v88.38H719.4Q742.41,292.39,755,280.88Z M1042.67,229.91q22,23,22,62.06V432.13H991.5V312.94q0-18.9-10.07-29.8t-27.75-10.89q-20.14.4-31.85,14.18t-11.72,36V432.13H837V143.24h73.2l0,102.69q11.92-19.32,30.63-29.18t43-9.87Q1020.68,206.89,1042.67,229.91Z M1248,221.48q27.52,14.19,42.75,39.87t15.2,59.4q0,34.11-15.2,59.8T1248,420.42q-27.54,14.18-63.71,14.18t-63.71-14.18Q1093,406.25,1078,380.55t-15-59.8q0-33.71,15-59.4t42.54-39.87q27.54-14.17,63.71-14.18T1248,221.48Zm-98.24,60.22q-13.15,15.21-13.15,39.87,0,25.08,13.15,40.28t34.53,15.21q21.78,0,34.94-15.21t13.15-40.28q0-24.66-13.36-39.87t-34.73-15.21Q1162.89,266.49,1149.73,281.7Z M1457.18,420.62a109.76,109.76,0,0,1-28.37,10.9,136.83,136.83,0,0,1-32.47,3.9q-32.88,0-53.22-18.91t-20.35-52.2V269h-30.83v-48.5h30.83V158.8h72.75v61.66h57.54V269h-57.54v83.85q0,23.42,19.32,23.42,11.91,0,28.36-7.39Z M1621.59,221.48q27.53,14.19,42.74,39.87t15.21,59.4q0,34.11-15.21,59.8t-42.74,39.87q-27.54,14.18-63.71,14.18t-63.71-14.18q-27.54-14.18-42.54-39.87t-15-59.8q0-33.71,15-59.4t42.54-39.87q27.52-14.17,63.71-14.18T1621.59,221.48Zm-98.24,60.22q-13.15,15.21-13.15,39.87,0,25.08,13.15,40.28t34.53,15.21q21.78,0,34.94-15.21T1606,321.57q0-24.66-13.36-39.87t-34.73-15.21Q1536.51,266.49,1523.35,281.7Z' transform='translate(-1310 -30)' /%3E%3Cpath fill='%23ffcb05' d='M1819,208.54q-26.1-8.64-43.77-8.63-14,0-22,5.13t-8,15a20.53,20.53,0,0,0,7,15.82,53.29,53.29,0,0,0,17.26,10.28q10.27,3.9,30.42,10.07,30,8.63,49.52,17.26a86.59,86.59,0,0,1,33.5,26.51q14,17.88,14,46.65t-15.21,49.12q-15.21,20.34-41.72,30.62t-59,10.28a213.12,213.12,0,0,1-71.31-12.54q-35.57-12.54-61.45-34.32L1677.38,331q21.78,19.34,51.59,31.65T1781.78,375q16.85,0,26.51-6.16t9.66-18.09a21.38,21.38,0,0,0-7.19-16.44,53.11,53.11,0,0,0-18.09-10.48q-10.89-3.9-30.62-9.25-29.6-8.22-48.91-16.64a86.53,86.53,0,0,1-33.09-25.49q-13.77-17.06-13.77-45.42,0-26.72,14.18-46.85t40.28-31q26.1-10.87,60.63-10.89a220,220,0,0,1,61.65,8.84q30.42,8.85,53.44,23.63l-28.36,60A252.75,252.75,0,0,0,1819,208.54Z M2091.69,239.36q29.17,32.07,29.19,88c0,5.76-.15,10.14-.42,13.16H1965.92q5.34,18.9,18.49,29t32.06,10.07a69.41,69.41,0,0,0,27.75-5.75,78.25,78.25,0,0,0,24.46-16.85l38.22,38.22a112.6,112.6,0,0,1-41.72,29.39q-24.45,10.08-55.28,10.07-35.76,0-62.48-14t-40.89-39.46q-14.19-25.49-14.18-59.19,0-34.11,14.38-60.21a99.38,99.38,0,0,1,40.69-40.29q26.31-14.17,60.83-14.18Q2062.51,207.3,2091.69,239.36Zm-41.92,62.07q0-19.32-11.31-31t-29.79-11.72q-17.26,0-29,11.51t-15.42,31.24Z M2237.6,267.72q-19.72,0-32.06,15t-12.33,38.84q0,24.26,12.33,39.05t32.06,14.79q30.42,0,43.57-25.07L2335,381.17q-13.17,25.49-39.46,39.46t-61.66,14q-34.11,0-60-14a98.34,98.34,0,0,1-40.08-39.46q-14.18-25.49-14.18-59.19,0-34.11,14.39-60.21a99.66,99.66,0,0,1,40.48-40.29q26.1-14.17,60.22-14.18,33.29,0,59.18,13.77a99.18,99.18,0,0,1,40.28,38.85l-53,30.82Q2265.56,267.73,2237.6,267.72Z M2430.58,217.17q18.28-10.28,41.72-10.28v67a111,111,0,0,0-11.1-.41q-25.89,0-41.92,12.12t-18.5,33.09V432.13h-73.16V209.77h73.16v37Q2412.29,227.46,2430.58,217.17Z M2661,239.36q29.19,32.07,29.19,88,0,8.64-.41,13.16H2535.18q5.34,18.9,18.5,29t32.06,10.07a69.36,69.36,0,0,0,27.74-5.75,78.25,78.25,0,0,0,24.46-16.85l38.22,38.22a112.6,112.6,0,0,1-41.72,29.39q-24.45,10.08-55.28,10.07-35.76,0-62.48-14t-40.89-39.46q-14.17-25.49-14.18-59.19,0-34.11,14.38-60.21a99.44,99.44,0,0,1,40.69-40.29q26.31-14.17,60.84-14.18Q2631.78,207.3,2661,239.36ZM2619,301.43q0-19.32-11.3-31t-29.8-11.72q-17.26,0-29,11.51t-15.41,31.24Z M2841.39,420.63A109.9,109.9,0,0,1,2813,431.52a136.83,136.83,0,0,1-32.47,3.9q-32.88,0-53.23-18.9T2707,364.32V269h-30.83v-48.5H2707V158.8h72.75v61.66h57.54V269h-57.54v83.85q0,23.43,19.32,23.43,11.91,0,28.36-7.4Z M2929.35,257.45q-9.46,0-15.21,3.49a11.47,11.47,0,0,0-5.75,10.48q0,7.41,9,11.92t28.77,9.87A360.39,360.39,0,0,1,2985.87,307a72.53,72.53,0,0,1,27.33,20.55q11.51,13.77,11.51,36,0,33.7-26.1,52.82t-68,19.11a182.53,182.53,0,0,1-54.25-8,143.77,143.77,0,0,1-46-23.64l23-47.26A162,162,0,0,0,2893,376.85q20.74,7.2,39.25,7.2,10.68,0,17.06-3.5t6.37-10.07q0-8.22-9.25-12.74t-29-9.86a324.91,324.91,0,0,1-38.63-13.77,73,73,0,0,1-26.52-20.35Q2841,300.2,2841,278.41q0-33.69,25.48-52.82t65.77-19.11a178.6,178.6,0,0,1,92.48,25.9l-24.66,47.68Q2956.9,257.46,2929.35,257.45Z' transform='translate(-1310 -30)' /%3E%3C/svg%3E%0A");
	background-position:center;
	background-size:100% 90%;	/* x-position size */
	z-index:1;
	}

#swish-photosecrets-logo {
	display:block;
	position:static;
	width:100%;
	height:0;
	padding:8.3125% 0;
	box-sizing:border-box;
	margin:0 auto;
	background-color:transparent;
	transition: opacity .225s;
	}

#swish-photosecrets-logo.off {
	margin-top:0;
	height:0;
	opacity:0;
	transition: opacity .225s, height 0s 2s, margin-top 0s 2s;
	}

/* Swish guide cover */

.swish-guide-cover {
	width:100vw;
	height:100vh;
	background-color:#eee;
	background-repeat:no-repeat;
	background-size:cover;
	background-position:center;
	}

.swish-guide-cover-text, .swish-guide-cover-desc {
	box-sizing:border-box;
	width:80%;
	max-width:640px;
	margin:0 auto;
	padding:60px 0 120px 0;
	height:100vh;
	text-align:center;
	}

.swish-guide-cover-desc {	/* .guide-buy-cover */
	display:none;
	position:absolute;
	left:15vw;
	width:70vw;
	bottom:60px;
	height:15vw;
	padding:0;
	}

body.free .swish-guide-cover-desc {
	display:block;
	}

@media only screen and (min-width: 800px) {
	.swish-guide-cover-desc {
		left:50vw;
		margin-left:-280px;
		width:560px;
		height:120px;
	}
}

.swish-guide-title {
	display:block;
	font-family:Montserrat,'Source Sans Pro',arial;
	width:100%;
	margin:5vw auto 0 auto;
	text-align:center;
	color:white;
	text-transform:uppercase;
	}

.swish-guide-title.london {
	font-size:15.8vw;
}

@media only screen and (min-width: 800px) {
	.swish-guide-title.london {
		margin-top:40px;
		font-size:123px;
	}
}

.swish-guide-title-desc, .swish-guide-title-buy {
	display:block;
	padding:0;
	text-align:center;
	font-size:4.2vw;
	font-family:Montserrat,'Source Sans Pro',arial;
	font-weight:normal;
	line-height:1.5em;
	margin:0;
	color:white;
	width:70vw;
	}

@media only screen and (min-width: 800px) {
	.swish-guide-title-desc, .swish-guide-title-buy {
		width:560px;
	}
}

.swish-guide-title-buy {
	margin-top:2vw;
	}

.swish-guide-title-buy:hover {
	/*border-radius:.75em;
	background:rgba(0,0,0,.5);*/
	color:#ffcb05;
	}

@media only screen and (min-width: 800px) {
	.swish-guide-title-desc, .swish-guide-title-buy {
		font-size:33.6px;
	}
}

/* Next page button */
.swish-next-page {
	display:block;
	margin: 24px auto 50px auto;
	width:120px;
	height:50px;
		border-radius:25px;
	border:none;
	background:#eee;
	color: #888;
	font-family:'Source Sans Pro',arial;
	text-align:center;
	font-size:14px;
	line-height:50px;
	cursor:pointer;
}

.swish-next-page:hover {
	background:#ccc;
	color:black;
}

/* Swish guide contents */

#swish-guide-contents {
	display:none;
	position:fixed;
	bottom:50px;
	left:70vw;
	margin-left:-60px;
	width:120px;
	background:rgba(245,245,245,0.9);
	border-radius:12px 12px 0 0;
	z-index:10;
	}

#swish-guide-contents.show {
	display:block;
	}

#swish-guide-contents ul {
	margin:0;
	padding:8px 0;
	}
#swish-guide-contents ul li {
	margin:0;
	font-size:16px;
	line-height:24px;
	text-align:left;
	font-family:'Source Sans Pro',arial;
	padding:4px 24px;
	margin:2px;
	border-radius:6px;
	cursor:pointer;
	}

#swish-guide-contents ul li:hover {
	color:black;
	background:#ccc;
	}


/* Slide */

.slide, .guide-cover {
	margin:0 auto 4px 0;
	width:100vw;
	height:66.666vw;
	background:#eee;
	}

.slide.square, .guide-cover.square {
	padding:0;
	height:100vw;
	}

.slide.to-top {
	margin-top:-50px;
	}

.slide.a4x3 {
	padding:0;
	height:75vw;
	}

.slide.a5x4 {
	padding:0;
	height:80vw;
	}

.slide.a1x1 {
	padding:0;
	height:100vw;
	}

.slide.a2x3 {
	padding:0;
	height:150vw;
	}


		/* Swish pages */

.map-square, .map-square-full {
	width:100vw;
	height:100vw;
	background:#eee;
	}

.map-square-full {
	max-height:100vh;
	}

.map-square {
	margin:0 auto 0 auto;
	max-height:640px;
	max-width:640px;
	}

.map-square:before, .map-square-full:before {
	display:block;
	width:100%;
	content:'Map';
	text-align:center;
	color:#f8f8f8;
	font-size:5vw;
	line-height:0;
	padding-top:50vw;
	}

.book-cover {
	margin:24px auto 24px auto;
	width:60vw;
	height:90vw;
	border-radius:0.5vw;
	background:#eee;
	}

h1.center {
	text-align:center;
	}

.book-cover:before {
	display:block;
	content:'Book';
	color:#f8f8f8;
	padding-top:66%;
	line-height:5vw;
	font-size:10vw;
	width:100%;
	text-align:center;
	}

.ordering-buttons, .ordering-buttons li {
	list-style:none;
	margin:0;
	padding:0;
	text-align:center;
	margin-bottom:40px;
	color:black;
	}

.ordering-buttons li {
	display:inline-block;
	padding:10px 20px;
	border-radius:24px;
	cursor:pointer;
	background:#f8f8f8;
	}

.ordering-buttons li:hover {
	background:#eee;
	}

/* Remove zebra stripes */
tr:first-child th,
tr:nth-child(odd) {		/* ZEBRA STRIPES */
	/* background-color:#d5e7ff;	Presumably this gets changed in PDF-BW */
	/* background-color:#ff9933;	Redford's orange */
	background-color:white;	/* PhotoSecrets logo gold */
	}

	/* CSS clash fixes */
.online section,
.online #gallery, .app #gallery, 
.online #gallery-time, .app #gallery-time,
.online #gallery-distance, .app #gallery-distance,
.online #email, .app #email, 
.online #acclaim, .app #acclaim,
.online #copyright, .app #copyright,
.online #contents, .app #contents,
.online #foreword, .app #foreword,
.online #welcome, .app #welcome,
.online #about, .app #about,
	/* .online #map, .app #map, let header go under mbh menubar */
.online #introduction, .app #introduction,
.online #index, .app #index {	/* space for menubar, bit hokey */
	padding-top:0;	/* ADDED was 80px */
	}

.online #gallery, .app #gallery {
	margin-top:0;	/* ADDED was 60px */ /* not how this works but without it, when the scroll down button is pressed, a bit of the slideshow shows above the gallery */
	}

/* Guide locate */
p.locate-tip {
	margin-top:24px;
	}

/* Favorites, could go somewhere else later */

.gallery a .gallery-like, .gallery a .gallery-like.favorite:hover {
	display:block;
	content:'';
	position:relative;
	top:-25vw;
	left:20vw;
	margin-left:-3px;
	width:5vw;
	height:5vw;	
	background-repeat:no-repeat;
	background-position:center;
	background-size:60%;
	opacity:.8;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 512 512'%3E%3Cpath d='M458.4 64.3C400.6 15.7 311.3 23 256 79.3 200.7 23 111.4 15.6 53.6 64.3-21.6 127.6-10.6 230.8 43 285.5l175.4 178.7c10 10.2 23.4 15.9 37.6 15.9 14.3 0 27.6-5.6 37.6-15.8L469 285.6c53.5-54.7 64.7-157.9-10.6-221.3zm-23.6 187.5L259.4 430.5c-2.4 2.4-4.4 2.4-6.8 0L77.2 251.8c-36.5-37.2-43.9-107.6 7.3-150.7 38.9-32.7 98.9-27.8 136.5 10.5l35 35.7 35-35.7c37.8-38.5 97.8-43.2 136.5-10.6 51.1 43.1 43.5 113.9 7.3 150.8z'/%3E%3C/svg%3E%0A");	 /* https://fontawesome.com/license */
	}

.gallery a.favorite .gallery-like, .gallery a .gallery-like:hover, .gallery a .gallery-like.favorite {
	opacity:1;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 512 512'%3E%3Cpath d='M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z'/%3E%3C/svg%3E%0A");
	}

/* Fudge for guide contents */
#toc-column-1, #toc-column-2,
#toc-column-1 li, #toc-column-2 li {
	font-family:'Lora','Source Serif Pro',serif;
}